Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network66.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
66.0.0.0
Broadcast address
66.127.255.255
First usable
66.0.0.1
Last usable
66.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 42000000 · Integer 1107296256 to 1115684863
Reverse DNS zones
0.66.in-addr.arpa
1.66.in-addr.arpa
2.66.in-addr.arpa
3.66.in-addr.arpa
4.66.in-addr.arpa
5.66.in-addr.arpa
6.66.in-addr.arpa
7.66.in-addr.arpa
8.66.in-addr.arpa
9.66.in-addr.arpa
10.66.in-addr.arpa
11.66.in-addr.arpa
12.66.in-addr.arpa
13.66.in-addr.arpa
14.66.in-addr.arpa
15.66.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000010.00000000.00000000.0000000066.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000010.00000000.00000000.0000000066.0.0.0
Broadcast01000010.01111111.11111111.1111111166.127.255.255
Split into smaller subnets/16

66.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
166.0.0.0/1666.0.0.1 to 66.0.255.25466.0.255.25565,534
266.1.0.0/1666.1.0.1 to 66.1.255.25466.1.255.25565,534
366.2.0.0/1666.2.0.1 to 66.2.255.25466.2.255.25565,534
466.3.0.0/1666.3.0.1 to 66.3.255.25466.3.255.25565,534
566.4.0.0/1666.4.0.1 to 66.4.255.25466.4.255.25565,534
666.5.0.0/1666.5.0.1 to 66.5.255.25466.5.255.25565,534
766.6.0.0/1666.6.0.1 to 66.6.255.25466.6.255.25565,534
866.7.0.0/1666.7.0.1 to 66.7.255.25466.7.255.25565,534
966.8.0.0/1666.8.0.1 to 66.8.255.25466.8.255.25565,534
1066.9.0.0/1666.9.0.1 to 66.9.255.25466.9.255.25565,534
1166.10.0.0/1666.10.0.1 to 66.10.255.25466.10.255.25565,534
1266.11.0.0/1666.11.0.1 to 66.11.255.25466.11.255.25565,534
1366.12.0.0/1666.12.0.1 to 66.12.255.25466.12.255.25565,534
1466.13.0.0/1666.13.0.1 to 66.13.255.25466.13.255.25565,534
1566.14.0.0/1666.14.0.1 to 66.14.255.25466.14.255.25565,534
1666.15.0.0/1666.15.0.1 to 66.15.255.25466.15.255.25565,534
1766.16.0.0/1666.16.0.1 to 66.16.255.25466.16.255.25565,534
1866.17.0.0/1666.17.0.1 to 66.17.255.25466.17.255.25565,534
1966.18.0.0/1666.18.0.1 to 66.18.255.25466.18.255.25565,534
2066.19.0.0/1666.19.0.1 to 66.19.255.25466.19.255.25565,534
2166.20.0.0/1666.20.0.1 to 66.20.255.25466.20.255.25565,534
2266.21.0.0/1666.21.0.1 to 66.21.255.25466.21.255.25565,534
2366.22.0.0/1666.22.0.1 to 66.22.255.25466.22.255.25565,534
2466.23.0.0/1666.23.0.1 to 66.23.255.25466.23.255.25565,534
2566.24.0.0/1666.24.0.1 to 66.24.255.25466.24.255.25565,534
2666.25.0.0/1666.25.0.1 to 66.25.255.25466.25.255.25565,534
2766.26.0.0/1666.26.0.1 to 66.26.255.25466.26.255.25565,534
2866.27.0.0/1666.27.0.1 to 66.27.255.25466.27.255.25565,534
2966.28.0.0/1666.28.0.1 to 66.28.255.25466.28.255.25565,534
3066.29.0.0/1666.29.0.1 to 66.29.255.25466.29.255.25565,534
3166.30.0.0/1666.30.0.1 to 66.30.255.25466.30.255.25565,534
3266.31.0.0/1666.31.0.1 to 66.31.255.25466.31.255.25565,534
3366.32.0.0/1666.32.0.1 to 66.32.255.25466.32.255.25565,534
3466.33.0.0/1666.33.0.1 to 66.33.255.25466.33.255.25565,534
3566.34.0.0/1666.34.0.1 to 66.34.255.25466.34.255.25565,534
3666.35.0.0/1666.35.0.1 to 66.35.255.25466.35.255.25565,534
3766.36.0.0/1666.36.0.1 to 66.36.255.25466.36.255.25565,534
3866.37.0.0/1666.37.0.1 to 66.37.255.25466.37.255.25565,534
3966.38.0.0/1666.38.0.1 to 66.38.255.25466.38.255.25565,534
4066.39.0.0/1666.39.0.1 to 66.39.255.25466.39.255.25565,534
4166.40.0.0/1666.40.0.1 to 66.40.255.25466.40.255.25565,534
4266.41.0.0/1666.41.0.1 to 66.41.255.25466.41.255.25565,534
4366.42.0.0/1666.42.0.1 to 66.42.255.25466.42.255.25565,534
4466.43.0.0/1666.43.0.1 to 66.43.255.25466.43.255.25565,534
4566.44.0.0/1666.44.0.1 to 66.44.255.25466.44.255.25565,534
4666.45.0.0/1666.45.0.1 to 66.45.255.25466.45.255.25565,534
4766.46.0.0/1666.46.0.1 to 66.46.255.25466.46.255.25565,534
4866.47.0.0/1666.47.0.1 to 66.47.255.25466.47.255.25565,534
4966.48.0.0/1666.48.0.1 to 66.48.255.25466.48.255.25565,534
5066.49.0.0/1666.49.0.1 to 66.49.255.25466.49.255.25565,534
5166.50.0.0/1666.50.0.1 to 66.50.255.25466.50.255.25565,534
5266.51.0.0/1666.51.0.1 to 66.51.255.25466.51.255.25565,534
5366.52.0.0/1666.52.0.1 to 66.52.255.25466.52.255.25565,534
5466.53.0.0/1666.53.0.1 to 66.53.255.25466.53.255.25565,534
5566.54.0.0/1666.54.0.1 to 66.54.255.25466.54.255.25565,534
5666.55.0.0/1666.55.0.1 to 66.55.255.25466.55.255.25565,534
5766.56.0.0/1666.56.0.1 to 66.56.255.25466.56.255.25565,534
5866.57.0.0/1666.57.0.1 to 66.57.255.25466.57.255.25565,534
5966.58.0.0/1666.58.0.1 to 66.58.255.25466.58.255.25565,534
6066.59.0.0/1666.59.0.1 to 66.59.255.25466.59.255.25565,534
6166.60.0.0/1666.60.0.1 to 66.60.255.25466.60.255.25565,534
6266.61.0.0/1666.61.0.1 to 66.61.255.25466.61.255.25565,534
6366.62.0.0/1666.62.0.1 to 66.62.255.25466.62.255.25565,534
6466.63.0.0/1666.63.0.1 to 66.63.255.25466.63.255.25565,534
6566.64.0.0/1666.64.0.1 to 66.64.255.25466.64.255.25565,534
6666.65.0.0/1666.65.0.1 to 66.65.255.25466.65.255.25565,534
6766.66.0.0/1666.66.0.1 to 66.66.255.25466.66.255.25565,534
6866.67.0.0/1666.67.0.1 to 66.67.255.25466.67.255.25565,534
6966.68.0.0/1666.68.0.1 to 66.68.255.25466.68.255.25565,534
7066.69.0.0/1666.69.0.1 to 66.69.255.25466.69.255.25565,534
7166.70.0.0/1666.70.0.1 to 66.70.255.25466.70.255.25565,534
7266.71.0.0/1666.71.0.1 to 66.71.255.25466.71.255.25565,534
7366.72.0.0/1666.72.0.1 to 66.72.255.25466.72.255.25565,534
7466.73.0.0/1666.73.0.1 to 66.73.255.25466.73.255.25565,534
7566.74.0.0/1666.74.0.1 to 66.74.255.25466.74.255.25565,534
7666.75.0.0/1666.75.0.1 to 66.75.255.25466.75.255.25565,534
7766.76.0.0/1666.76.0.1 to 66.76.255.25466.76.255.25565,534
7866.77.0.0/1666.77.0.1 to 66.77.255.25466.77.255.25565,534
7966.78.0.0/1666.78.0.1 to 66.78.255.25466.78.255.25565,534
8066.79.0.0/1666.79.0.1 to 66.79.255.25466.79.255.25565,534
8166.80.0.0/1666.80.0.1 to 66.80.255.25466.80.255.25565,534
8266.81.0.0/1666.81.0.1 to 66.81.255.25466.81.255.25565,534
8366.82.0.0/1666.82.0.1 to 66.82.255.25466.82.255.25565,534
8466.83.0.0/1666.83.0.1 to 66.83.255.25466.83.255.25565,534
8566.84.0.0/1666.84.0.1 to 66.84.255.25466.84.255.25565,534
8666.85.0.0/1666.85.0.1 to 66.85.255.25466.85.255.25565,534
8766.86.0.0/1666.86.0.1 to 66.86.255.25466.86.255.25565,534
8866.87.0.0/1666.87.0.1 to 66.87.255.25466.87.255.25565,534
8966.88.0.0/1666.88.0.1 to 66.88.255.25466.88.255.25565,534
9066.89.0.0/1666.89.0.1 to 66.89.255.25466.89.255.25565,534
9166.90.0.0/1666.90.0.1 to 66.90.255.25466.90.255.25565,534
9266.91.0.0/1666.91.0.1 to 66.91.255.25466.91.255.25565,534
9366.92.0.0/1666.92.0.1 to 66.92.255.25466.92.255.25565,534
9466.93.0.0/1666.93.0.1 to 66.93.255.25466.93.255.25565,534
9566.94.0.0/1666.94.0.1 to 66.94.255.25466.94.255.25565,534
9666.95.0.0/1666.95.0.1 to 66.95.255.25466.95.255.25565,534
9766.96.0.0/1666.96.0.1 to 66.96.255.25466.96.255.25565,534
9866.97.0.0/1666.97.0.1 to 66.97.255.25466.97.255.25565,534
9966.98.0.0/1666.98.0.1 to 66.98.255.25466.98.255.25565,534
10066.99.0.0/1666.99.0.1 to 66.99.255.25466.99.255.25565,534
10166.100.0.0/1666.100.0.1 to 66.100.255.25466.100.255.25565,534
10266.101.0.0/1666.101.0.1 to 66.101.255.25466.101.255.25565,534
10366.102.0.0/1666.102.0.1 to 66.102.255.25466.102.255.25565,534
10466.103.0.0/1666.103.0.1 to 66.103.255.25466.103.255.25565,534
10566.104.0.0/1666.104.0.1 to 66.104.255.25466.104.255.25565,534
10666.105.0.0/1666.105.0.1 to 66.105.255.25466.105.255.25565,534
10766.106.0.0/1666.106.0.1 to 66.106.255.25466.106.255.25565,534
10866.107.0.0/1666.107.0.1 to 66.107.255.25466.107.255.25565,534
10966.108.0.0/1666.108.0.1 to 66.108.255.25466.108.255.25565,534
11066.109.0.0/1666.109.0.1 to 66.109.255.25466.109.255.25565,534
11166.110.0.0/1666.110.0.1 to 66.110.255.25466.110.255.25565,534
11266.111.0.0/1666.111.0.1 to 66.111.255.25466.111.255.25565,534
11366.112.0.0/1666.112.0.1 to 66.112.255.25466.112.255.25565,534
11466.113.0.0/1666.113.0.1 to 66.113.255.25466.113.255.25565,534
11566.114.0.0/1666.114.0.1 to 66.114.255.25466.114.255.25565,534
11666.115.0.0/1666.115.0.1 to 66.115.255.25466.115.255.25565,534
11766.116.0.0/1666.116.0.1 to 66.116.255.25466.116.255.25565,534
11866.117.0.0/1666.117.0.1 to 66.117.255.25466.117.255.25565,534
11966.118.0.0/1666.118.0.1 to 66.118.255.25466.118.255.25565,534
12066.119.0.0/1666.119.0.1 to 66.119.255.25466.119.255.25565,534
12166.120.0.0/1666.120.0.1 to 66.120.255.25466.120.255.25565,534
12266.121.0.0/1666.121.0.1 to 66.121.255.25466.121.255.25565,534
12366.122.0.0/1666.122.0.1 to 66.122.255.25466.122.255.25565,534
12466.123.0.0/1666.123.0.1 to 66.123.255.25466.123.255.25565,534
12566.124.0.0/1666.124.0.1 to 66.124.255.25466.124.255.25565,534
12666.125.0.0/1666.125.0.1 to 66.125.255.25466.125.255.25565,534
12766.126.0.0/1666.126.0.1 to 66.126.255.25466.126.255.25565,534
12866.127.0.0/1666.127.0.1 to 66.127.255.25466.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses